---
name: Bug report
about: Create a report to help us improve
title: ''
labels: bug, needs triage
assignees: ''

---

## Observed

1.
2.
3.

## Expected behaviour

## Code example

<!-- it is important to provide a code snippet that reproduces the issue -->

```go
package code

// your code snippet here
```

## Error log

<!-- nice to have, if you have an error log -->

```log

```

## Details

### Environment
* [ ] `clickhouse-go` version:
* [ ] Interface: ClickHouse API / `database/sql` compatible driver
* [ ] Go version:
* [ ] Operating system:
* [ ] ClickHouse version:
* [ ] Is it a ClickHouse Cloud?
* [ ] ClickHouse Server non-default settings, if any:
* [ ] `CREATE TABLE` statements for tables involved:
* [ ] Sample data for all these tables, use [clickhouse-obfuscator](https://github.com/ClickHouse/ClickHouse/blob/master/programs/obfuscator/Obfuscator.cpp#L42-L80) if necessary
